import httputils from './httputils'


/**
 * 查询项目id对应得集团id
 * @param { 接口参数 } getParams
 */
export function queryGroupCode(getParams) {
    return httputils.getJson('/datasyn/record/query/project', getParams)
}

/**
 * 查询项目下得日志
 * @param { 接口参数 } postParams
 */
export function queryTableList(postParams) {
    return httputils.postJson('/datasyn/record/query', postParams)
}

/**
 * 查询对象类型
 * @param { 接口参数 } getParams
 */
export function queryobjType(getParams) {
    return httputils.getJson('/datasyn/record/query/type', getParams)
}

/**
 * 查询中台是否在线
 * @param { 接口参数 } getParams
 */
export function queryIsOnline(getParams) {
    return httputils.getJson('/datasyn/record/query/online', getParams)
}

/**
 * 重新同步消息
 */
export function queryRecordSyn(postParams) {
    return httputils.postJson('/datasyn/record/syn/data', postParams)
}
/**
 * 更新日志信息
 */
export function queryRecordUpdata(postParams) {
    return httputils.postJson('/datasyn/record/update', postParams)
}